#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2385937, "__platform_driver_register" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x5194d29c, "regulator_disable" },
	{ 0xa5f7cd14, "regulator_unregister_notifier" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6257a2f, "complete" },
	{ 0xedfcfd8f, "platform_driver_unregister" },
	{ 0x58addc71, "regulator_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2a13cdbd, "iio_get_time_ns" },
	{ 0xa0d6cab0, "iio_push_to_buffers" },
	{ 0x789344df, "iio_trigger_notify_done" },
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x7b721cf6, "devm_iio_device_alloc" },
	{ 0x378d27a2, "of_device_get_match_data" },
	{ 0x8630127d, "devm_platform_ioremap_resource" },
	{ 0xcf855da0, "__devm_reset_control_get" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x57b8ef02, "platform_get_irq" },
	{ 0xb2214cad, "devm_request_threaded_irq" },
	{ 0xee276765, "devm_regulator_get" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0xfc396156, "__devm_add_action" },
	{ 0xda394c99, "dev_err_probe" },
	{ 0xd1005013, "_dev_err" },
	{ 0xb3a713b8, "regulator_get_voltage" },
	{ 0x9c6f266f, "devm_clk_get_enabled" },
	{ 0x90bfd659, "devm_iio_triggered_buffer_setup_ext" },
	{ 0x780ff51d, "regulator_register_notifier" },
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe616671f, "__devm_iio_device_register" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");

MODULE_ALIAS("of:N*T*Crockchip,saradc");
MODULE_ALIAS("of:N*T*Crockchip,saradcC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3066-tsadc");
MODULE_ALIAS("of:N*T*Crockchip,rk3066-tsadcC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-saradc");
MODULE_ALIAS("of:N*T*Crockchip,rk3399-saradcC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-saradc");
MODULE_ALIAS("of:N*T*Crockchip,rk3568-saradcC*");
MODULE_ALIAS("of:N*T*Crockchip,rk3588-saradc");
MODULE_ALIAS("of:N*T*Crockchip,rk3588-saradcC*");
